/*
 * [Sorted.java]
 *
 * Summary: Dummy file to represent the Sorted library.
 *
 * Copyright: (c) 2003-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2003-10-03 initial version
 *  1.1 2003-10-05
 *  1.2 2003-10-06
 *  1.3 2007-07-28 IntelliJ inspector lint, prepaze ANT script,
 *                 icon and pad to prepare for distribution. Make serialisable.
 *  1.4 2014-08-19 JDK 1.8.0_20 redirects Collections.sort to List.sort. This lead
 *                 to an infinite loop. This version avoids Collections.sort and
 *                 avoids confusion in List.sort and SortedArrayList.sort methods.
 */
package com.mindprod.sorted;

import static java.lang.System.*;

/**
 * Dummy file to represent the Sorted library.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.4 2014-08-19 JDK 1.8.0_20 redirects Collections.sort to List.sort. This lead
 * to an infinite loop. This version avoids Collections.sort and
 * avoids confusion in List.sort and SortedArrayList.sort methods.
 * @since 2003-10-03
 */
public final class Sorted
    {
    private static final int FIRST_COPYRIGHT_YEAR = 2003;

    /**
     * undisplayed copyright notice
     */
    @SuppressWarnings( { "UnusedDeclaration" } )
    private static final String EMBEDDED_COPYRIGHT =
            "Copyright: (c) 2003-2017 Roedy Green, Canadian Mind Products, http://mindprod.com";

    @SuppressWarnings( { "UnusedDeclaration" } )
    private static final String RELEASE_DATE = "2014-08-19";

    /**
     * name of this application.
     */
    private static final String TITLE_STRING = "Sorted";

    /* embedded version string, real one is Config.VERSION  */
    @SuppressWarnings( { "UnusedDeclaration" } )
    private static final String VERSION_STRING = "1.4";

    /**
     * not used. Dummy
     *
     * @param args dummy.
     */
    public static void main( String[] args )
        {
        out.println( "Sorted should not be run standalone." );
        }
    }
